/**
dco/c++ v3.7.1
    -- Algorithmic Differentiation by Operator Overloading in C++

COPYRIGHT 2022
The Numerical Algorithms Group Limited and
Software and Tools for Computational Engineering @ RWTH Aachen University

This file is part of dco/c++.
**/

const int N = 10;
const int M = 36;
//** for more realistic scenario use
// const int N=1000;
// const int M=360;
const double S0 = 70.0;
const double r = 0.07;
const double K = 40.0;
const double T = 1.0;

// for checkpointing only
const int checkpoint_distance = 10;
